Page MenuHomePhabricator

[Bug] Fix broken license links on SpecialVersion for wikibase + data values libraries
Closed, ResolvedPublic

Description

The license links on Special:Version for most of the Wikibase and DataValues libraries are broken and don't provide the license.

to help keep track of what has been fixed and what still needs to be fixed, here is a list of our libraries in use:

also need fixing:

see also T123937 to move these to the "libraries" section of Special:Version, though some changes in core are needed to make it flexible enough for this. (or get our libraries into mediawiki/vendor would also solve this)

Event Timeline

aude created this task.Jan 19 2016, 4:02 PM
aude claimed this task.
aude raised the priority of this task from to Medium.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 4:02 PM
aude updated the task description. (Show Details)Jan 19 2016, 4:08 PM
aude set Security to None.
aude updated the task description. (Show Details)Jan 19 2016, 4:17 PM
Reedy added a subscriber: Reedy.Mar 30 2017, 5:01 PM

We can very easily move stuff needed for WMF deployment into mediawiki/vendor...

Addshore removed aude as the assignee of this task.Sep 18 2018, 12:49 PM
Addshore added a project: wikidata-tech-focus.
Addshore moved this task from Backlog to To Evaluate on the wikidata-tech-focus board.
Addshore closed this task as Resolved.Sep 20 2018, 11:43 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

All of the libraries are now in the libraries section of Special:Version.
That section does not link to any licence files any more.

I also check all of our extensions and the licence links all work except for https://www.wikidata.org/wiki/Special:Version/License/WikibaseLexeme which I'll file a follow up ticket for now.
But I'll close this!

Restricted Application added a project: User-Addshore. · View Herald TranscriptSep 20 2018, 11:43 AM